Interface that should be implemented by component that

### Type parameters

- #### Data = any

- #### S = ComponentState

### Hierarchy

- ComponentClass<IPieceProps<Data>>
  - IComponent

## Index

### Constructors

- constructor

### Properties

- applyEditor
- childContextTypes
- contextType
- contextTypes
- defaultProps
- displayName
- editLabel
- getDerivedStateFromError
- getDerivedStateFromProps
- label
- propTypes

## Constructors

### constructor

- new IComponent(props: IPieceProps<Data>, context?: any): Component<IPieceProps<Data>, S>

- Inherited from IComponent.constructor

  #### Parameters

  - ##### props: IPieceProps<Data>

  - ##### Optional context: any

  #### Returns Component<IPieceProps<Data>, S>

## Properties

### applyEditor

applyEditor: (node: HTMLElement, data: Data) => void

Method that applies data to editor node

#### Type declaration

- - (node: HTMLElement, data: Data): void

  - #### Parameters

    - ##### node: HTMLElement

    - ##### data: Data

    #### Returns void

### Optional childContextTypes

childContextTypes: ValidationMap<any>

Inherited from IComponent.childContextTypes

### Optional contextType

contextType: Context<any>

Inherited from IComponent.contextType

### Optional contextTypes

contextTypes: ValidationMap<any>

Inherited from IComponent.contextTypes

### Optional defaultProps

defaultProps: Partial<IPieceProps<Data>>

Inherited from IComponent.defaultProps

### Optional displayName

displayName: undefined | string

Inherited from IComponent.displayName

### editLabel

editLabel: string

Label that will be displayed on hover bar, i.e. "Edit Image"

### Optional getDerivedStateFromError

getDerivedStateFromError: GetDerivedStateFromError<IPieceProps<Data>, S>

Inherited from IComponent.getDerivedStateFromError

### Optional getDerivedStateFromProps

getDerivedStateFromProps: GetDerivedStateFromProps<IPieceProps<Data>, S>

Inherited from IComponent.getDerivedStateFromProps

### label

label: string

Label that will be displayed in controller nav bar, i.e. "Image Editor"

### Optional propTypes

propTypes: WeakValidationMap<IPieceProps<Data>>

Inherited from IComponent.propTypes

Generated using TypeDoc